indexing
	description: "Load struct definitions from a C header file"
	status: "See notice at end of class"
	author: "Sam O'Connor"
	date: "$Date: 1999/11/19 21:21:30 $"
	revision: "$Revision: 1.2 $"

class
	C_STRUCT_LOADER

inherit
	C_STRUCT_PARSER

creation
	run

feature -- Initialization

	run (pp_file_name: STRING; structs: C_STRUCTS; t: TICKER) is
			-- initilize scanner with preprocessed file
		local
			pp_file: RAW_FILE
		do
			create c_typedefs.make
			structs.set_struct_typedefs (c_typedefs)
			c_structs := structs
			!!pp_file.make_open_read (pp_file_name)
			make_with_file (pp_file, t)
			parse
			pp_file.close
			structs.link_typedef_names
		end

end -- class C_STRUCT_LOADER


--!-----------------------------------------------------------------------------
--! The GOTE converter. It converts GTK+ Objects To Eiffel.
--! Copyright (C) 1999 Sam O'Connor
--!
--! This program is free software; you can redistribute it and/or modify
--! it under the terms of the GNU General Public License as published by
--! the Free Software Foundation; either version 2 of the License, or
--! (at your option) any later version.
--!
--! This program is distributed in the hope that it will be useful,
--! but WITHOUT ANY WARRANTY; without even the implied warranty of
--! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--! GNU General Public License for more details.
--!
--! You should have received a copy of the GNU General Public License
--! along with this program; if not, write to the Free Software
--! Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--!
--! See file "licence" for more information.
--!-----------------------------------------------------------------------------
