indexing
	description: "Formatting string"
	status: "See notice at end of class"
	author: "Sam O'Connor"
	date: "$Date: 1999/10/31 10:36:45 $"
	revision: "$Revision: 1.1.1.1 $"

class
	FMT_STRING

inherit
	STRING
		rename
			make as string_make
		end

create
	make

feature -- Initialization

	make is
			-- Empty string of `default_length'
		do
			string_make (default_length)
		end

feature -- Access

	inject (s: ANY) is
			-- Insert `s' into the string at the first ^ character
		local
			back: STRING
		do
			insert (s.out,index_of ('^', 1))
			prune ('^')
		end

feature -- Implementation

	default_length: INTEGER is 100

end -- class FMT_STRING


--!-----------------------------------------------------------------------------
--! The GOTE converter. It converts GTK+ Objects To Eiffel.
--! Copyright (C) 1999 Sam O'Connor
--!
--! This program is free software; you can redistribute it and/or modify
--! it under the terms of the GNU General Public License as published by
--! the Free Software Foundation; either version 2 of the License, or
--! (at your option) any later version.
--!
--! This program is distributed in the hope that it will be useful,
--! but WITHOUT ANY WARRANTY; without even the implied warranty of
--! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--! GNU General Public License for more details.
--!
--! You should have received a copy of the GNU General Public License
--! along with this program; if not, write to the Free Software
--! Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--!
--! See file "licence" for more information.
--!-----------------------------------------------------------------------------
