indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkBox"
	gtk_file: "gtkbox.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_BOX

feature -- External C functions

	gtk_box_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_box_get_type (
			-- );
			--
			-- Original C code from gtkbox.h:
			-- GtkType	   gtk_box_get_type	       (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_pack_start (a_box: POINTER; a_child: POINTER; a_expand: BOOLEAN; a_fill: BOOLEAN; a_padding: INTEGER) is 
			-- Parsed as:
			-- void gtk_box_pack_start (
			--     GtkBox *a_box,
			--     GtkWidget *a_child,
			--     gboolean a_expand,
			--     gboolean a_fill,
			--     guint a_padding
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_pack_start	       (GtkBox	     *box,
			-- 					GtkWidget    *child,
			-- 					gboolean      expand,
			-- 					gboolean      fill,
			-- 					guint	      padding);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_pack_end (a_box: POINTER; a_child: POINTER; a_expand: BOOLEAN; a_fill: BOOLEAN; a_padding: INTEGER) is 
			-- Parsed as:
			-- void gtk_box_pack_end (
			--     GtkBox *a_box,
			--     GtkWidget *a_child,
			--     gboolean a_expand,
			--     gboolean a_fill,
			--     guint a_padding
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_pack_end	       (GtkBox	     *box,
			-- 					GtkWidget    *child,
			-- 					gboolean      expand,
			-- 					gboolean      fill,
			-- 					guint	      padding);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_pack_start_defaults (a_box: POINTER; a_widget: POINTER) is 
			-- Parsed as:
			-- void gtk_box_pack_start_defaults (
			--     GtkBox *a_box,
			--     GtkWidget *a_widget
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_pack_start_defaults (GtkBox	     *box,
			-- 					GtkWidget    *widget);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_pack_end_defaults (a_box: POINTER; a_widget: POINTER) is 
			-- Parsed as:
			-- void gtk_box_pack_end_defaults (
			--     GtkBox *a_box,
			--     GtkWidget *a_widget
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_pack_end_defaults   (GtkBox	     *box,
			-- 					GtkWidget    *widget);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_set_homogeneous (a_box: POINTER; a_homogeneous: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_box_set_homogeneous (
			--     GtkBox *a_box,
			--     gboolean a_homogeneous
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_set_homogeneous     (GtkBox	     *box,
			-- 					gboolean      homogeneous);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_set_spacing (a_box: POINTER; a_spacing: INTEGER) is 
			-- Parsed as:
			-- void gtk_box_set_spacing (
			--     GtkBox *a_box,
			--     gint a_spacing
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_set_spacing	       (GtkBox	     *box,
			-- 					gint	      spacing);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_reorder_child (a_box: POINTER; a_child: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_box_reorder_child (
			--     GtkBox *a_box,
			--     GtkWidget *a_child,
			--     gint a_position
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_reorder_child       (GtkBox	     *box,
			-- 					GtkWidget    *child,
			-- 					gint	      position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_query_child_packing (a_box: POINTER; a_child: POINTER; a_expand: POINTER; a_fill: POINTER; a_padding: POINTER; a_pack_type: POINTER) is 
			-- Parsed as:
			-- void gtk_box_query_child_packing (
			--     GtkBox *a_box,
			--     GtkWidget *a_child,
			--     gboolean *a_expand,
			--     gboolean *a_fill,
			--     guint *a_padding,
			--     GtkPackType *a_pack_type
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_query_child_packing (GtkBox	     *box,
			-- 					GtkWidget    *child,
			-- 					gboolean     *expand,
			-- 					gboolean     *fill,
			-- 					guint	     *padding,
			-- 					GtkPackType  *pack_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_box_set_child_packing (a_box: POINTER; a_child: POINTER; a_expand: BOOLEAN; a_fill: BOOLEAN; a_padding: INTEGER; a_pack_type: INTEGER) is 
			-- Parsed as:
			-- void gtk_box_set_child_packing (
			--     GtkBox *a_box,
			--     GtkWidget *a_child,
			--     gboolean a_expand,
			--     gboolean a_fill,
			--     guint a_padding,
			--     GtkPackType a_pack_type
			-- );
			--
			-- Original C code from gtkbox.h:
			-- void	   gtk_box_set_child_packing   (GtkBox	     *box,
			-- 					GtkWidget    *child,
			-- 					gboolean      expand,
			-- 					gboolean      fill,
			-- 					guint	      padding,
			-- 					GtkPackType   pack_type);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_BOX

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)