indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkContainer"
	gtk_file: "gtkcontainer.h"
	status: "See notice at end of class"
	signals: "add remove check_resize focus set_focus_child "
	events: ""

class
	C_GTK_CONTAINER

feature -- External C functions

	gtk_container_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_container_get_type (
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- GtkType gtk_container_get_type		 (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_set_border_width (a_container: POINTER; a_border_width: INTEGER) is 
			-- Parsed as:
			-- void gtk_container_set_border_width (
			--     GtkContainer *a_container,
			--     guint a_border_width
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_set_border_width	 (GtkContainer	   *container,
			-- 					  guint		    border_width);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_add (a_container: POINTER; a_widget: POINTER) is 
			-- Parsed as:
			-- void gtk_container_add (
			--     GtkContainer *a_container,
			--     GtkWidget *a_widget
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_add		 (GtkContainer	   *container,
			-- 					  GtkWidget	   *widget);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_remove (a_container: POINTER; a_widget: POINTER) is 
			-- Parsed as:
			-- void gtk_container_remove (
			--     GtkContainer *a_container,
			--     GtkWidget *a_widget
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_remove		 (GtkContainer	   *container,
			-- 					  GtkWidget	   *widget);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_set_resize_mode (a_container: POINTER; a_resize_mode: INTEGER) is 
			-- Parsed as:
			-- void gtk_container_set_resize_mode (
			--     GtkContainer *a_container,
			--     GtkResizeMode a_resize_mode
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_set_resize_mode    (GtkContainer     *container,
			-- 					  GtkResizeMode     resize_mode);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_check_resize (a_container: POINTER) is 
			-- Parsed as:
			-- void gtk_container_check_resize (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_check_resize       (GtkContainer     *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_foreach (a_container: POINTER; a_callback: POINTER; a_callback_data: POINTER) is 
			-- Parsed as:
			-- void gtk_container_foreach (
			--     GtkContainer *a_container,
			--     GtkCallback a_callback,
			--     gpointer a_callback_data
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_foreach		 (GtkContainer	   *container,
			-- 					  GtkCallback	    callback,
			-- 					  gpointer	    callback_data);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_foreach_full (a_container: POINTER; a_callback: POINTER; a_marshal: POINTER; a_callback_data: POINTER; a_notify: POINTER) is 
			-- Parsed as:
			-- void gtk_container_foreach_full (
			--     GtkContainer *a_container,
			--     GtkCallback a_callback,
			--     GtkCallbackMarshal a_marshal,
			--     gpointer a_callback_data,
			--     GtkDestroyNotify a_notify
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_foreach_full	 (GtkContainer	   *container,
			-- 					  GtkCallback	    callback,
			-- 					  GtkCallbackMarshal marshal,
			-- 					  gpointer	    callback_data,
			-- 					  GtkDestroyNotify  notify);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_children (a_container: POINTER): POINTER is 
			-- Parsed as:
			-- GList* gtk_container_children (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- GList* gtk_container_children		 (GtkContainer	   *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_focus (a_container: POINTER; a_direction: INTEGER): INTEGER is 
			-- Parsed as:
			-- gint gtk_container_focus (
			--     GtkContainer *a_container,
			--     GtkDirectionType a_direction
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- gint   gtk_container_focus		   (GtkContainer     *container,
			-- 					    GtkDirectionType  direction);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_set_focus_child (a_container: POINTER; a_child: POINTER) is 
			-- Parsed as:
			-- void gtk_container_set_focus_child (
			--     GtkContainer *a_container,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void   gtk_container_set_focus_child	   (GtkContainer     *container,
			-- 					    GtkWidget	     *child);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_set_focus_vadjustment (a_container: POINTER; a_adjustment: POINTER) is 
			-- Parsed as:
			-- void gtk_container_set_focus_vadjustment (
			--     GtkContainer *a_container,
			--     GtkAdjustment *a_adjustment
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void   gtk_container_set_focus_vadjustment (GtkContainer     *container,
			-- 					    GtkAdjustment    *adjustment);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_set_focus_hadjustment (a_container: POINTER; a_adjustment: POINTER) is 
			-- Parsed as:
			-- void gtk_container_set_focus_hadjustment (
			--     GtkContainer *a_container,
			--     GtkAdjustment *a_adjustment
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void   gtk_container_set_focus_hadjustment (GtkContainer     *container,
			-- 					    GtkAdjustment    *adjustment);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_register_toplevel (a_container: POINTER) is 
			-- Parsed as:
			-- void gtk_container_register_toplevel (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_register_toplevel	   (GtkContainer     *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_unregister_toplevel (a_container: POINTER) is 
			-- Parsed as:
			-- void gtk_container_unregister_toplevel (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_unregister_toplevel  (GtkContainer     *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_get_toplevels: POINTER is 
			-- Parsed as:
			-- GList* gtk_container_get_toplevels (
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- GList * gtk_container_get_toplevels        (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_resize_children (a_container: POINTER) is 
			-- Parsed as:
			-- void gtk_container_resize_children (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_resize_children      (GtkContainer     *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_child_type (a_container: POINTER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_container_child_type (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- GtkType gtk_container_child_type	   (GtkContainer     *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_add_child_arg_type (a_arg_name: POINTER; a_arg_type: INTEGER; a_arg_flags: INTEGER; a_arg_id: INTEGER) is 
			-- Parsed as:
			-- void gtk_container_add_child_arg_type (
			--     gchar *a_arg_name,
			--     GtkType a_arg_type,
			--     guint a_arg_flags,
			--     guint a_arg_id
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_add_child_arg_type   (const gchar      *arg_name,
			-- 					    GtkType           arg_type,
			-- 					    guint             arg_flags,
			-- 					    guint             arg_id);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_query_child_args (a_class_type: INTEGER; a_arg_flags: POINTER; a_nargs: POINTER): POINTER is 
			-- Parsed as:
			-- GtkArg* gtk_container_query_child_args (
			--     GtkType a_class_type,
			--     guint32 **a_arg_flags,
			--     guint *a_nargs
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- GtkArg* gtk_container_query_child_args	   (GtkType	       class_type,
			-- 					    guint32          **arg_flags,
			-- 					    guint             *nargs);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_child_getv (a_container: POINTER; a_child: POINTER; a_n_args: INTEGER; a_args: POINTER) is 
			-- Parsed as:
			-- void gtk_container_child_getv (
			--     GtkContainer *a_container,
			--     GtkWidget *a_child,
			--     guint a_n_args,
			--     GtkArg *a_args
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_child_getv	   (GtkContainer      *container,
			-- 					    GtkWidget	      *child,
			-- 					    guint	       n_args,
			-- 					    GtkArg	      *args);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_child_setv (a_container: POINTER; a_child: POINTER; a_n_args: INTEGER; a_args: POINTER) is 
			-- Parsed as:
			-- void gtk_container_child_setv (
			--     GtkContainer *a_container,
			--     GtkWidget *a_child,
			--     guint a_n_args,
			--     GtkArg *a_args
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_child_setv   	   (GtkContainer      *container,
			-- 					    GtkWidget	      *child,
			-- 					    guint	       n_args,
			-- 					    GtkArg	      *args);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_addv (a_container: POINTER; a_widget: POINTER; a_n_args: INTEGER; a_args: POINTER) is 
			-- Parsed as:
			-- void gtk_container_addv (
			--     GtkContainer *a_container,
			--     GtkWidget *a_widget,
			--     guint a_n_args,
			--     GtkArg *a_args
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_addv		   (GtkContainer      *container,
			-- 					    GtkWidget	      *widget,
			-- 					    guint	       n_args,
			-- 					    GtkArg	      *args);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_queue_resize (a_container: POINTER) is 
			-- Parsed as:
			-- void gtk_container_queue_resize (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void	gtk_container_queue_resize	   (GtkContainer *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_clear_resize_widgets (a_container: POINTER) is 
			-- Parsed as:
			-- void gtk_container_clear_resize_widgets (
			--     GtkContainer *a_container
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_clear_resize_widgets (GtkContainer *container);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_arg_set (a_container: POINTER; a_child: POINTER; a_arg: POINTER; a_info: POINTER) is 
			-- Parsed as:
			-- void gtk_container_arg_set (
			--     GtkContainer *a_container,
			--     GtkWidget *a_child,
			--     GtkArg *a_arg,
			--     GtkArgInfo *a_info
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_arg_set		   (GtkContainer *container,
			-- 					    GtkWidget	 *child,
			-- 					    GtkArg       *arg,
			-- 					    GtkArgInfo   *info);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_arg_get (a_container: POINTER; a_child: POINTER; a_arg: POINTER; a_info: POINTER) is 
			-- Parsed as:
			-- void gtk_container_arg_get (
			--     GtkContainer *a_container,
			--     GtkWidget *a_child,
			--     GtkArg *a_arg,
			--     GtkArgInfo *a_info
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_arg_get		   (GtkContainer *container,
			-- 					    GtkWidget	 *child,
			-- 					    GtkArg       *arg,
			-- 					    GtkArgInfo   *info);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_child_args_collect (a_object_type: INTEGER; a_arg_list_p: POINTER; a_info_list_p: POINTER; a_first_arg_name: POINTER; a_args: POINTER): POINTER is 
			-- Parsed as:
			-- gchar* gtk_container_child_args_collect (
			--     GtkType a_object_type,
			--     GSList **a_arg_list_p,
			--     GSList **a_info_list_p,
			--     gchar *a_first_arg_name,
			--     va_list a_args
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- gchar*	gtk_container_child_args_collect   (GtkType       object_type,
			-- 					    GSList      **arg_list_p,
			-- 					    GSList      **info_list_p,
			-- 					    const gchar	 *first_arg_name,
			-- 					    va_list       args);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_child_arg_get_info (a_object_type: INTEGER; a_arg_name: POINTER; a_info_p: POINTER): POINTER is 
			-- Parsed as:
			-- gchar* gtk_container_child_arg_get_info (
			--     GtkType a_object_type,
			--     gchar *a_arg_name,
			--     GtkArgInfo **a_info_p
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- gchar*  gtk_container_child_arg_get_info   (GtkType       object_type,
			-- 					    const gchar  *arg_name,
			-- 					    GtkArgInfo  **info_p);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_forall (a_container: POINTER; a_callback: POINTER; a_callback_data: POINTER) is 
			-- Parsed as:
			-- void gtk_container_forall (
			--     GtkContainer *a_container,
			--     GtkCallback a_callback,
			--     gpointer a_callback_data
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- void    gtk_container_forall		   (GtkContainer *container,
			-- 					    GtkCallback	  callback,
			-- 					    gpointer	  callback_data);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_container_child_composite_name (a_container: POINTER; a_child: POINTER): POINTER is 
			-- Parsed as:
			-- gchar* gtk_container_child_composite_name (
			--     GtkContainer *a_container,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtkcontainer.h:
			-- gchar*	gtk_container_child_composite_name (GtkContainer *container,
			-- 					    GtkWidget	 *child);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_CONTAINER

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)