indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkEntry"
	gtk_file: "gtkentry.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_ENTRY

feature -- External C functions

	gtk_entry_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_entry_get_type (
			-- );
			--
			-- Original C code from gtkentry.h:
			-- GtkType    gtk_entry_get_type       		(void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_new: POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_entry_new (
			-- );
			--
			-- Original C code from gtkentry.h:
			-- GtkWidget* gtk_entry_new            		(void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_new_with_max_length (a_max: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_entry_new_with_max_length (
			--     guint16 a_max
			-- );
			--
			-- Original C code from gtkentry.h:
			-- GtkWidget* gtk_entry_new_with_max_length	(guint16       max);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_set_text (a_entry: POINTER; a_text: POINTER) is 
			-- Parsed as:
			-- void gtk_entry_set_text (
			--     GtkEntry *a_entry,
			--     gchar *a_text
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_set_text       		(GtkEntry      *entry,
			-- 						 const gchar   *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_append_text (a_entry: POINTER; a_text: POINTER) is 
			-- Parsed as:
			-- void gtk_entry_append_text (
			--     GtkEntry *a_entry,
			--     gchar *a_text
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_append_text    		(GtkEntry      *entry,
			-- 						 const gchar   *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_prepend_text (a_entry: POINTER; a_text: POINTER) is 
			-- Parsed as:
			-- void gtk_entry_prepend_text (
			--     GtkEntry *a_entry,
			--     gchar *a_text
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_prepend_text   		(GtkEntry      *entry,
			-- 						 const gchar   *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_set_position (a_entry: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_entry_set_position (
			--     GtkEntry *a_entry,
			--     gint a_position
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_set_position   		(GtkEntry      *entry,
			-- 						 gint           position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_get_text (a_entry: POINTER): POINTER is 
			-- Parsed as:
			-- gchar* gtk_entry_get_text (
			--     GtkEntry *a_entry
			-- );
			--
			-- Original C code from gtkentry.h:
			-- gchar*     gtk_entry_get_text       		(GtkEntry      *entry);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_select_region (a_entry: POINTER; a_start: INTEGER; a_end: INTEGER) is 
			-- Parsed as:
			-- void gtk_entry_select_region (
			--     GtkEntry *a_entry,
			--     gint a_start,
			--     gint a_end
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_select_region  		(GtkEntry      *entry,
			-- 						 gint           start,
			-- 						 gint           end);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_set_visibility (a_entry: POINTER; a_visible: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_entry_set_visibility (
			--     GtkEntry *a_entry,
			--     gboolean a_visible
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_set_visibility 		(GtkEntry      *entry,
			-- 						 gboolean       visible);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_set_editable (a_entry: POINTER; a_editable: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_entry_set_editable (
			--     GtkEntry *a_entry,
			--     gboolean a_editable
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_set_editable   		(GtkEntry      *entry,
			-- 						 gboolean       editable);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_entry_set_max_length (a_entry: POINTER; a_max: INTEGER) is 
			-- Parsed as:
			-- void gtk_entry_set_max_length (
			--     GtkEntry *a_entry,
			--     guint16 a_max
			-- );
			--
			-- Original C code from gtkentry.h:
			-- void       gtk_entry_set_max_length 		(GtkEntry      *entry,
			-- 						 guint16        max);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_ENTRY

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)