indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkMenu"
	gtk_file: "gtkmenu.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_MENU

feature -- External C functions

	gtk_menu_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_menu_get_type (
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkType	   gtk_menu_get_type		  (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_new: POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_menu_new (
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkWidget* gtk_menu_new			  (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_append (a_menu: POINTER; a_child: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_append (
			--     GtkMenu *a_menu,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_append		  (GtkMenu	       *menu,
			-- 					   GtkWidget	       *child);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_prepend (a_menu: POINTER; a_child: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_prepend (
			--     GtkMenu *a_menu,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_prepend		  (GtkMenu	       *menu,
			-- 					   GtkWidget	       *child);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_insert (a_menu: POINTER; a_child: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_menu_insert (
			--     GtkMenu *a_menu,
			--     GtkWidget *a_child,
			--     gint a_position
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_insert		  (GtkMenu	       *menu,
			-- 					   GtkWidget	       *child,
			-- 					   gint			position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_popup (a_menu: POINTER; a_parent_menu_shell: POINTER; a_parent_menu_item: POINTER; a_func: POINTER; a_data: POINTER; a_button: INTEGER; a_activate_time: INTEGER) is 
			-- Parsed as:
			-- void gtk_menu_popup (
			--     GtkMenu *a_menu,
			--     GtkWidget *a_parent_menu_shell,
			--     GtkWidget *a_parent_menu_item,
			--     GtkMenuPositionFunc a_func,
			--     gpointer a_data,
			--     guint a_button,
			--     guint32 a_activate_time
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_popup		  (GtkMenu	       *menu,
			-- 					   GtkWidget	       *parent_menu_shell,
			-- 					   GtkWidget	       *parent_menu_item,
			-- 					   GtkMenuPositionFunc	func,
			-- 					   gpointer		data,
			-- 					   guint		button,
			-- 					   guint32		activate_time);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_reposition (a_menu: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_reposition (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_reposition		  (GtkMenu	       *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_popdown (a_menu: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_popdown (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_popdown		  (GtkMenu	       *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_get_active (a_menu: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_menu_get_active (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkWidget* gtk_menu_get_active		  (GtkMenu	       *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_set_active (a_menu: POINTER; a_index: INTEGER) is 
			-- Parsed as:
			-- void gtk_menu_set_active (
			--     GtkMenu *a_menu,
			--     guint a_index
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_set_active		  (GtkMenu	       *menu,
			-- 					   guint		index);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_set_accel_group (a_menu: POINTER; a_accel_group: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_set_accel_group (
			--     GtkMenu *a_menu,
			--     GtkAccelGroup *a_accel_group
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	       gtk_menu_set_accel_group	  (GtkMenu	       *menu,
			-- 					   GtkAccelGroup       *accel_group);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_get_accel_group (a_menu: POINTER): POINTER is 
			-- Parsed as:
			-- GtkAccelGroup* gtk_menu_get_accel_group (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkAccelGroup* gtk_menu_get_accel_group	  (GtkMenu	       *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_get_uline_accel_group (a_menu: POINTER): POINTER is 
			-- Parsed as:
			-- GtkAccelGroup* gtk_menu_get_uline_accel_group (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkAccelGroup* gtk_menu_get_uline_accel_group    (GtkMenu         *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_ensure_uline_accel_group (a_menu: POINTER): POINTER is 
			-- Parsed as:
			-- GtkAccelGroup* gtk_menu_ensure_uline_accel_group (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkAccelGroup* gtk_menu_ensure_uline_accel_group (GtkMenu         *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_attach_to_widget (a_menu: POINTER; a_attach_widget: POINTER; a_detacher: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_attach_to_widget (
			--     GtkMenu *a_menu,
			--     GtkWidget *a_attach_widget,
			--     GtkMenuDetachFunc a_detacher
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_attach_to_widget	  (GtkMenu	       *menu,
			-- 					   GtkWidget	       *attach_widget,
			-- 					   GtkMenuDetachFunc	detacher);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_detach (a_menu: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_detach (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void	   gtk_menu_detach		  (GtkMenu	       *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_get_attach_widget (a_menu: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_menu_get_attach_widget (
			--     GtkMenu *a_menu
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- GtkWidget* gtk_menu_get_attach_widget	  (GtkMenu	       *menu);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_set_tearoff_state (a_menu: POINTER; a_torn_off: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_menu_set_tearoff_state (
			--     GtkMenu *a_menu,
			--     gboolean a_torn_off
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void       gtk_menu_set_tearoff_state     (GtkMenu             *menu,
			-- 					   gboolean             torn_off);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_set_title (a_menu: POINTER; a_title: POINTER) is 
			-- Parsed as:
			-- void gtk_menu_set_title (
			--     GtkMenu *a_menu,
			--     gchar *a_title
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void       gtk_menu_set_title             (GtkMenu             *menu,
			-- 					   const gchar         *title);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_menu_reorder_child (a_menu: POINTER; a_child: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_menu_reorder_child (
			--     GtkMenu *a_menu,
			--     GtkWidget *a_child,
			--     gint a_position
			-- );
			--
			-- Original C code from gtkmenu.h:
			-- void       gtk_menu_reorder_child         (GtkMenu             *menu,
			--                                            GtkWidget           *child,
			--                                            gint                position);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_MENU

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)