indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkNotebook"
	gtk_file: "gtknotebook.h"
	status: "See notice at end of class"
	signals: "switch_page "
	events: ""

class
	C_GTK_NOTEBOOK

feature -- External C functions

	gtk_notebook_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_notebook_get_type (
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- GtkType gtk_notebook_get_type       (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_new: POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_notebook_new (
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- GtkWidget * gtk_notebook_new        (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_append_page (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_append_page (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_append_page       (GtkNotebook *notebook,
			-- 				     GtkWidget   *child,
			-- 				     GtkWidget   *tab_label);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_append_page_menu (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER; a_menu_label: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_append_page_menu (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label,
			--     GtkWidget *a_menu_label
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_append_page_menu  (GtkNotebook *notebook,
			-- 				     GtkWidget   *child,
			-- 				     GtkWidget   *tab_label,
			-- 				     GtkWidget   *menu_label);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_prepend_page (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_prepend_page (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_prepend_page      (GtkNotebook *notebook,
			-- 				     GtkWidget   *child,
			-- 				     GtkWidget   *tab_label);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_prepend_page_menu (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER; a_menu_label: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_prepend_page_menu (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label,
			--     GtkWidget *a_menu_label
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_prepend_page_menu (GtkNotebook *notebook,
			-- 				     GtkWidget   *child,
			-- 				     GtkWidget   *tab_label,
			-- 				     GtkWidget   *menu_label);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_insert_page (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_insert_page (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label,
			--     gint a_position
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_insert_page       (GtkNotebook *notebook,
			-- 				     GtkWidget   *child,
			-- 				     GtkWidget   *tab_label,
			-- 				     gint         position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_insert_page_menu (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER; a_menu_label: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_insert_page_menu (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label,
			--     GtkWidget *a_menu_label,
			--     gint a_position
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_insert_page_menu  (GtkNotebook *notebook,
			-- 				     GtkWidget   *child,
			-- 				     GtkWidget   *tab_label,
			-- 				     GtkWidget   *menu_label,
			-- 				     gint         position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_remove_page (a_notebook: POINTER; a_page_num: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_remove_page (
			--     GtkNotebook *a_notebook,
			--     gint a_page_num
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_remove_page       (GtkNotebook *notebook,
			-- 				     gint         page_num);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_get_current_page (a_notebook: POINTER): INTEGER is 
			-- Parsed as:
			-- gint gtk_notebook_get_current_page (
			--     GtkNotebook *a_notebook
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- gint gtk_notebook_get_current_page   (GtkNotebook *notebook);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_get_nth_page (a_notebook: POINTER; a_page_num: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_notebook_get_nth_page (
			--     GtkNotebook *a_notebook,
			--     gint a_page_num
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- GtkWidget* gtk_notebook_get_nth_page (GtkNotebook *notebook,
			-- 				      gint         page_num);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_page_num (a_notebook: POINTER; a_child: POINTER): INTEGER is 
			-- Parsed as:
			-- gint gtk_notebook_page_num (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- gint gtk_notebook_page_num         (GtkNotebook *notebook,
			-- 				    GtkWidget   *child);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_page (a_notebook: POINTER; a_page_num: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_set_page (
			--     GtkNotebook *a_notebook,
			--     gint a_page_num
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_page         (GtkNotebook *notebook,
			-- 				    gint         page_num);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_next_page (a_notebook: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_next_page (
			--     GtkNotebook *a_notebook
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_next_page        (GtkNotebook *notebook);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_prev_page (a_notebook: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_prev_page (
			--     GtkNotebook *a_notebook
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_prev_page        (GtkNotebook *notebook);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_show_border (a_notebook: POINTER; a_show_border: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_notebook_set_show_border (
			--     GtkNotebook *a_notebook,
			--     gboolean a_show_border
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_show_border      (GtkNotebook     *notebook,
			-- 					gboolean         show_border);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_show_tabs (a_notebook: POINTER; a_show_tabs: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_notebook_set_show_tabs (
			--     GtkNotebook *a_notebook,
			--     gboolean a_show_tabs
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_show_tabs        (GtkNotebook     *notebook,
			-- 					gboolean         show_tabs);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_pos (a_notebook: POINTER; a_pos: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_pos (
			--     GtkNotebook *a_notebook,
			--     GtkPositionType a_pos
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_pos          (GtkNotebook     *notebook,
			-- 				        GtkPositionType  pos);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_homogeneous_tabs (a_notebook: POINTER; a_homogeneous: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_notebook_set_homogeneous_tabs (
			--     GtkNotebook *a_notebook,
			--     gboolean a_homogeneous
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_homogeneous_tabs (GtkNotebook     *notebook,
			-- 					gboolean         homogeneous);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_border (a_notebook: POINTER; a_border_width: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_border (
			--     GtkNotebook *a_notebook,
			--     guint a_border_width
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_border       (GtkNotebook     *notebook,
			-- 					guint            border_width);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_hborder (a_notebook: POINTER; a_tab_hborder: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_hborder (
			--     GtkNotebook *a_notebook,
			--     guint a_tab_hborder
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_hborder      (GtkNotebook     *notebook,
			-- 					guint            tab_hborder);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_vborder (a_notebook: POINTER; a_tab_vborder: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_vborder (
			--     GtkNotebook *a_notebook,
			--     guint a_tab_vborder
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_vborder      (GtkNotebook     *notebook,
			-- 					guint            tab_vborder);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_scrollable (a_notebook: POINTER; a_scrollable: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_notebook_set_scrollable (
			--     GtkNotebook *a_notebook,
			--     gboolean a_scrollable
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_scrollable       (GtkNotebook     *notebook,
			-- 					gboolean         scrollable);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_popup_enable (a_notebook: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_popup_enable (
			--     GtkNotebook *a_notebook
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_popup_enable  (GtkNotebook *notebook);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_popup_disable (a_notebook: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_popup_disable (
			--     GtkNotebook *a_notebook
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_popup_disable (GtkNotebook *notebook);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_get_tab_label (a_notebook: POINTER; a_child: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_notebook_get_tab_label (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- GtkWidget * gtk_notebook_get_tab_label    (GtkNotebook *notebook,
			-- 					   GtkWidget   *child);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_label (a_notebook: POINTER; a_child: POINTER; a_tab_label: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_label (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_tab_label
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_label           (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   GtkWidget   *tab_label);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_label_text (a_notebook: POINTER; a_child: POINTER; a_tab_text: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_label_text (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     gchar *a_tab_text
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_label_text      (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   const gchar *tab_text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_get_menu_label (a_notebook: POINTER; a_child: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_notebook_get_menu_label (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- GtkWidget * gtk_notebook_get_menu_label   (GtkNotebook *notebook,
			-- 					   GtkWidget   *child);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_menu_label (a_notebook: POINTER; a_child: POINTER; a_menu_label: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_set_menu_label (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     GtkWidget *a_menu_label
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_menu_label          (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   GtkWidget   *menu_label);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_menu_label_text (a_notebook: POINTER; a_child: POINTER; a_menu_text: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_set_menu_label_text (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     gchar *a_menu_text
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_menu_label_text     (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   const gchar *menu_text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_query_tab_label_packing (a_notebook: POINTER; a_child: POINTER; a_expand: POINTER; a_fill: POINTER; a_pack_type: POINTER) is 
			-- Parsed as:
			-- void gtk_notebook_query_tab_label_packing (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     gboolean *a_expand,
			--     gboolean *a_fill,
			--     GtkPackType *a_pack_type
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_query_tab_label_packing (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   gboolean    *expand,
			-- 					   gboolean    *fill,
			-- 					   GtkPackType *pack_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_set_tab_label_packing (a_notebook: POINTER; a_child: POINTER; a_expand: BOOLEAN; a_fill: BOOLEAN; a_pack_type: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_set_tab_label_packing (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     gboolean a_expand,
			--     gboolean a_fill,
			--     GtkPackType a_pack_type
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_set_tab_label_packing   (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   gboolean     expand,
			-- 					   gboolean     fill,
			-- 					   GtkPackType  pack_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_notebook_reorder_child (a_notebook: POINTER; a_child: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_notebook_reorder_child (
			--     GtkNotebook *a_notebook,
			--     GtkWidget *a_child,
			--     gint a_position
			-- );
			--
			-- Original C code from gtknotebook.h:
			-- void gtk_notebook_reorder_child           (GtkNotebook *notebook,
			-- 					   GtkWidget   *child,
			-- 					   gint         position);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_NOTEBOOK

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)