indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkPacker"
	gtk_file: "gtkpacker.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_PACKER

feature -- External C functions

	gtk_packer_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_packer_get_type (
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- GtkType    gtk_packer_get_type		       (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_new: POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_packer_new (
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- GtkWidget* gtk_packer_new        	       (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_add_defaults (a_packer: POINTER; a_child: POINTER; a_side: INTEGER; a_anchor: INTEGER; a_options: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_add_defaults (
			--     GtkPacker *a_packer,
			--     GtkWidget *a_child,
			--     GtkSideType a_side,
			--     GtkAnchorType a_anchor,
			--     GtkPackerOptions a_options
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_add_defaults	       (GtkPacker       *packer, 
			-- 						GtkWidget       *child,
			-- 						GtkSideType      side,
			-- 						GtkAnchorType    anchor,
			-- 						GtkPackerOptions options);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_add (a_packer: POINTER; a_child: POINTER; a_side: INTEGER; a_anchor: INTEGER; a_options: INTEGER; a_border_width: INTEGER; a_pad_x: INTEGER; a_pad_y: INTEGER; a_i_pad_x: INTEGER; a_i_pad_y: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_add (
			--     GtkPacker *a_packer,
			--     GtkWidget *a_child,
			--     GtkSideType a_side,
			--     GtkAnchorType a_anchor,
			--     GtkPackerOptions a_options,
			--     guint a_border_width,
			--     guint a_pad_x,
			--     guint a_pad_y,
			--     guint a_i_pad_x,
			--     guint a_i_pad_y
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_add		       (GtkPacker       *packer, 
			-- 						GtkWidget       *child,
			-- 						GtkSideType      side,
			-- 						GtkAnchorType    anchor,
			-- 						GtkPackerOptions options,
			-- 						guint		 border_width, 
			-- 						guint		 pad_x, 
			-- 						guint		 pad_y,
			-- 						guint		 i_pad_x,
			-- 						guint		 i_pad_y);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_set_child_packing (a_packer: POINTER; a_child: POINTER; a_side: INTEGER; a_anchor: INTEGER; a_options: INTEGER; a_border_width: INTEGER; a_pad_x: INTEGER; a_pad_y: INTEGER; a_i_pad_x: INTEGER; a_i_pad_y: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_set_child_packing (
			--     GtkPacker *a_packer,
			--     GtkWidget *a_child,
			--     GtkSideType a_side,
			--     GtkAnchorType a_anchor,
			--     GtkPackerOptions a_options,
			--     guint a_border_width,
			--     guint a_pad_x,
			--     guint a_pad_y,
			--     guint a_i_pad_x,
			--     guint a_i_pad_y
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_set_child_packing	       (GtkPacker	*packer, 
			-- 						GtkWidget       *child,
			-- 						GtkSideType      side,
			-- 						GtkAnchorType    anchor,
			-- 						GtkPackerOptions options,
			-- 						guint		 border_width, 
			-- 						guint		 pad_x, 
			-- 						guint		 pad_y,
			-- 						guint		 i_pad_x,
			-- 						guint		 i_pad_y);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_reorder_child (a_packer: POINTER; a_child: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_reorder_child (
			--     GtkPacker *a_packer,
			--     GtkWidget *a_child,
			--     gint a_position
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void	   gtk_packer_reorder_child	       (GtkPacker	*packer,
			-- 						GtkWidget	*child,
			-- 						gint             position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_set_spacing (a_packer: POINTER; a_spacing: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_set_spacing (
			--     GtkPacker *a_packer,
			--     guint a_spacing
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_set_spacing	       (GtkPacker	*packer,
			-- 						guint		 spacing);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_set_default_border_width (a_packer: POINTER; a_border: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_set_default_border_width (
			--     GtkPacker *a_packer,
			--     guint a_border
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_set_default_border_width (GtkPacker	*packer,
			-- 						guint		 border);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_set_default_pad (a_packer: POINTER; a_pad_x: INTEGER; a_pad_y: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_set_default_pad (
			--     GtkPacker *a_packer,
			--     guint a_pad_x,
			--     guint a_pad_y
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_set_default_pad	       (GtkPacker	*packer,
			-- 						guint             pad_x,
			-- 						guint             pad_y);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_packer_set_default_ipad (a_packer: POINTER; a_i_pad_x: INTEGER; a_i_pad_y: INTEGER) is 
			-- Parsed as:
			-- void gtk_packer_set_default_ipad (
			--     GtkPacker *a_packer,
			--     guint a_i_pad_x,
			--     guint a_i_pad_y
			-- );
			--
			-- Original C code from gtkpacker.h:
			-- void       gtk_packer_set_default_ipad	       (GtkPacker	*packer,
			-- 						guint            i_pad_x,
			-- 						guint            i_pad_y);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_PACKER

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)