indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkSpinButton"
	gtk_file: "gtkspinbutton.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_SPIN_BUTTON

feature -- External C functions

	gtk_spin_button_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_spin_button_get_type (
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- GtkType		gtk_spin_button_get_type	   (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_configure (a_spin_button: POINTER; a_adjustment: POINTER; a_climb_rate: REAL; a_digits: INTEGER) is 
			-- Parsed as:
			-- void gtk_spin_button_configure (
			--     GtkSpinButton *a_spin_button,
			--     GtkAdjustment *a_adjustment,
			--     gfloat a_climb_rate,
			--     guint a_digits
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_configure	   (GtkSpinButton  *spin_button,
			-- 						    GtkAdjustment  *adjustment,
			-- 						    gfloat	    climb_rate,
			-- 						    guint	    digits);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_new (a_adjustment: POINTER; a_climb_rate: REAL; a_digits: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_spin_button_new (
			--     GtkAdjustment *a_adjustment,
			--     gfloat a_climb_rate,
			--     guint a_digits
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- GtkWidget*	gtk_spin_button_new		   (GtkAdjustment  *adjustment,
			-- 						    gfloat	    climb_rate,
			-- 						    guint	    digits);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_adjustment (a_spin_button: POINTER; a_adjustment: POINTER) is 
			-- Parsed as:
			-- void gtk_spin_button_set_adjustment (
			--     GtkSpinButton *a_spin_button,
			--     GtkAdjustment *a_adjustment
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_adjustment	   (GtkSpinButton  *spin_button,
			-- 						    GtkAdjustment  *adjustment);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_get_adjustment (a_spin_button: POINTER): POINTER is 
			-- Parsed as:
			-- GtkAdjustment* gtk_spin_button_get_adjustment (
			--     GtkSpinButton *a_spin_button
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- GtkAdjustment*	gtk_spin_button_get_adjustment	   (GtkSpinButton  *spin_button);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_digits (a_spin_button: POINTER; a_digits: INTEGER) is 
			-- Parsed as:
			-- void gtk_spin_button_set_digits (
			--     GtkSpinButton *a_spin_button,
			--     guint a_digits
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_digits	   (GtkSpinButton  *spin_button,
			-- 						    guint	    digits);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_get_value_as_float (a_spin_button: POINTER): REAL is 
			-- Parsed as:
			-- gfloat gtk_spin_button_get_value_as_float (
			--     GtkSpinButton *a_spin_button
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- gfloat		gtk_spin_button_get_value_as_float (GtkSpinButton  *spin_button);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_get_value_as_int (a_spin_button: POINTER): INTEGER is 
			-- Parsed as:
			-- gint gtk_spin_button_get_value_as_int (
			--     GtkSpinButton *a_spin_button
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- gint		gtk_spin_button_get_value_as_int   (GtkSpinButton  *spin_button);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_value (a_spin_button: POINTER; a_value: REAL) is 
			-- Parsed as:
			-- void gtk_spin_button_set_value (
			--     GtkSpinButton *a_spin_button,
			--     gfloat a_value
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_value	   (GtkSpinButton  *spin_button, 
			-- 						    gfloat	    value);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_update_policy (a_spin_button: POINTER; a_policy: INTEGER) is 
			-- Parsed as:
			-- void gtk_spin_button_set_update_policy (
			--     GtkSpinButton *a_spin_button,
			--     GtkSpinButtonUpdatePolicy a_policy
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_update_policy  (GtkSpinButton  *spin_button,
			-- 						    GtkSpinButtonUpdatePolicy  policy);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_numeric (a_spin_button: POINTER; a_numeric: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_spin_button_set_numeric (
			--     GtkSpinButton *a_spin_button,
			--     gboolean a_numeric
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_numeric	   (GtkSpinButton  *spin_button,
			-- 						    gboolean	    numeric);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_spin (a_spin_button: POINTER; a_direction: INTEGER; a_increment: REAL) is 
			-- Parsed as:
			-- void gtk_spin_button_spin (
			--     GtkSpinButton *a_spin_button,
			--     GtkSpinType a_direction,
			--     gfloat a_increment
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_spin		   (GtkSpinButton  *spin_button,
			-- 						    GtkSpinType     direction,
			-- 						    gfloat	    increment);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_wrap (a_spin_button: POINTER; a_wrap: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_spin_button_set_wrap (
			--     GtkSpinButton *a_spin_button,
			--     gboolean a_wrap
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_wrap	   (GtkSpinButton  *spin_button,
			-- 						    gboolean	    wrap);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_shadow_type (a_spin_button: POINTER; a_shadow_type: INTEGER) is 
			-- Parsed as:
			-- void gtk_spin_button_set_shadow_type (
			--     GtkSpinButton *a_spin_button,
			--     GtkShadowType a_shadow_type
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_shadow_type	   (GtkSpinButton  *spin_button,
			-- 						    GtkShadowType   shadow_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_set_snap_to_ticks (a_spin_button: POINTER; a_snap_to_ticks: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_spin_button_set_snap_to_ticks (
			--     GtkSpinButton *a_spin_button,
			--     gboolean a_snap_to_ticks
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void		gtk_spin_button_set_snap_to_ticks  (GtkSpinButton  *spin_button,
			-- 						    gboolean	    snap_to_ticks);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_spin_button_update (a_spin_button: POINTER) is 
			-- Parsed as:
			-- void gtk_spin_button_update (
			--     GtkSpinButton *a_spin_button
			-- );
			--
			-- Original C code from gtkspinbutton.h:
			-- void            gtk_spin_button_update             (GtkSpinButton  *spin_button);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_SPIN_BUTTON

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)