indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkStyle"
	gtk_file: "gtkstyle.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_STYLE

feature -- External C functions

	gtk_style_new: POINTER is 
			-- Parsed as:
			-- GtkStyle* gtk_style_new (
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- GtkStyle* gtk_style_new			     (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_copy (a_style: POINTER): POINTER is 
			-- Parsed as:
			-- GtkStyle* gtk_style_copy (
			--     GtkStyle *a_style
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- GtkStyle* gtk_style_copy		     (GtkStyle	    *style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_attach (a_style: POINTER; a_window: POINTER): POINTER is 
			-- Parsed as:
			-- GtkStyle* gtk_style_attach (
			--     GtkStyle *a_style,
			--     GdkWindow *a_window
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- GtkStyle* gtk_style_attach		     (GtkStyle	    *style,
			-- 					      GdkWindow	    *window);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_detach (a_style: POINTER) is 
			-- Parsed as:
			-- void gtk_style_detach (
			--     GtkStyle *a_style
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- void	  gtk_style_detach		     (GtkStyle	   *style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_ref (a_style: POINTER): POINTER is 
			-- Parsed as:
			-- GtkStyle* gtk_style_ref (
			--     GtkStyle *a_style
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- GtkStyle* gtk_style_ref			     (GtkStyle	   *style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_unref (a_style: POINTER) is 
			-- Parsed as:
			-- void gtk_style_unref (
			--     GtkStyle *a_style
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- void	  gtk_style_unref		     (GtkStyle	   *style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_set_background (a_style: POINTER; a_window: POINTER; a_state_type: INTEGER) is 
			-- Parsed as:
			-- void gtk_style_set_background (
			--     GtkStyle *a_style,
			--     GdkWindow *a_window,
			--     GtkStateType a_state_type
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- void	  gtk_style_set_background	     (GtkStyle	   *style,
			-- 					      GdkWindow	   *window,
			-- 					      GtkStateType  state_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_style_apply_default_background (a_style: POINTER; a_window: POINTER; a_set_bg: BOOLEAN; a_state_type: INTEGER; a_area: POINTER; a_x: INTEGER; a_y: INTEGER; a_width: INTEGER; a_height: INTEGER) is 
			-- Parsed as:
			-- void gtk_style_apply_default_background (
			--     GtkStyle *a_style,
			--     GdkWindow *a_window,
			--     gboolean a_set_bg,
			--     GtkStateType a_state_type,
			--     GdkRectangle *a_area,
			--     gint a_x,
			--     gint a_y,
			--     gint a_width,
			--     gint a_height
			-- );
			--
			-- Original C code from gtkstyle.h:
			-- void	  gtk_style_apply_default_background (GtkStyle	   *style,
			-- 					      GdkWindow	   *window,
			-- 					      gboolean	    set_bg,
			-- 					      GtkStateType  state_type, 
			-- 					      GdkRectangle *area, 
			-- 					      gint	    x, 
			-- 					      gint	    y, 
			-- 					      gint	    width, 
			-- 					      gint	    height);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_STYLE

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)