indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkTable"
	gtk_file: "gtktable.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_TABLE

feature -- External C functions

	gtk_table_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_table_get_type (
			-- );
			--
			-- Original C code from gtktable.h:
			-- GtkType	   gtk_table_get_type	      (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_new (a_rows: INTEGER; a_columns: INTEGER; a_homogeneous: BOOLEAN): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_table_new (
			--     guint a_rows,
			--     guint a_columns,
			--     gboolean a_homogeneous
			-- );
			--
			-- Original C code from gtktable.h:
			-- GtkWidget* gtk_table_new	      (guint		rows,
			-- 				       guint		columns,
			-- 				       gboolean		homogeneous);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_resize (a_table: POINTER; a_rows: INTEGER; a_columns: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_resize (
			--     GtkTable *a_table,
			--     guint a_rows,
			--     guint a_columns
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_resize	      (GtkTable	       *table,
			-- 				       guint            rows,
			-- 				       guint            columns);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_attach (a_table: POINTER; a_child: POINTER; a_left_attach: INTEGER; a_right_attach: INTEGER; a_top_attach: INTEGER; a_bottom_attach: INTEGER; a_xoptions: INTEGER; a_yoptions: INTEGER; a_xpadding: INTEGER; a_ypadding: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_attach (
			--     GtkTable *a_table,
			--     GtkWidget *a_child,
			--     guint a_left_attach,
			--     guint a_right_attach,
			--     guint a_top_attach,
			--     guint a_bottom_attach,
			--     GtkAttachOptions a_xoptions,
			--     GtkAttachOptions a_yoptions,
			--     guint a_xpadding,
			--     guint a_ypadding
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_attach	      (GtkTable	       *table,
			-- 				       GtkWidget       *child,
			-- 				       guint		left_attach,
			-- 				       guint		right_attach,
			-- 				       guint		top_attach,
			-- 				       guint		bottom_attach,
			-- 				       GtkAttachOptions xoptions,
			-- 				       GtkAttachOptions yoptions,
			-- 				       guint		xpadding,
			-- 				       guint		ypadding);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_attach_defaults (a_table: POINTER; a_widget: POINTER; a_left_attach: INTEGER; a_right_attach: INTEGER; a_top_attach: INTEGER; a_bottom_attach: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_attach_defaults (
			--     GtkTable *a_table,
			--     GtkWidget *a_widget,
			--     guint a_left_attach,
			--     guint a_right_attach,
			--     guint a_top_attach,
			--     guint a_bottom_attach
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_attach_defaults  (GtkTable	       *table,
			-- 				       GtkWidget       *widget,
			-- 				       guint		left_attach,
			-- 				       guint		right_attach,
			-- 				       guint		top_attach,
			-- 				       guint		bottom_attach);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_set_row_spacing (a_table: POINTER; a_row: INTEGER; a_spacing: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_set_row_spacing (
			--     GtkTable *a_table,
			--     guint a_row,
			--     guint a_spacing
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_set_row_spacing  (GtkTable	       *table,
			-- 				       guint		row,
			-- 				       guint		spacing);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_set_col_spacing (a_table: POINTER; a_column: INTEGER; a_spacing: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_set_col_spacing (
			--     GtkTable *a_table,
			--     guint a_column,
			--     guint a_spacing
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_set_col_spacing  (GtkTable	       *table,
			-- 				       guint		column,
			-- 				       guint		spacing);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_set_row_spacings (a_table: POINTER; a_spacing: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_set_row_spacings (
			--     GtkTable *a_table,
			--     guint a_spacing
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_set_row_spacings (GtkTable	       *table,
			-- 				       guint		spacing);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_set_col_spacings (a_table: POINTER; a_spacing: INTEGER) is 
			-- Parsed as:
			-- void gtk_table_set_col_spacings (
			--     GtkTable *a_table,
			--     guint a_spacing
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_set_col_spacings (GtkTable	       *table,
			-- 				       guint		spacing);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_table_set_homogeneous (a_table: POINTER; a_homogeneous: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_table_set_homogeneous (
			--     GtkTable *a_table,
			--     gboolean a_homogeneous
			-- );
			--
			-- Original C code from gtktable.h:
			-- void	   gtk_table_set_homogeneous  (GtkTable	       *table,
			-- 				       gboolean		homogeneous);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_TABLE

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)