indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkText"
	gtk_file: "gtktext.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_TEXT

feature -- External C functions

	gtk_text_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_text_get_type (
			-- );
			--
			-- Original C code from gtktext.h:
			-- GtkType    gtk_text_get_type        (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_new (a_hadj: POINTER; a_vadj: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_text_new (
			--     GtkAdjustment *a_hadj,
			--     GtkAdjustment *a_vadj
			-- );
			--
			-- Original C code from gtktext.h:
			-- GtkWidget* gtk_text_new             (GtkAdjustment *hadj,
			-- 				     GtkAdjustment *vadj);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_set_editable (a_text: POINTER; a_editable: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_text_set_editable (
			--     GtkText *a_text,
			--     gboolean a_editable
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_set_editable    (GtkText       *text,
			-- 				     gboolean       editable);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_set_word_wrap (a_text: POINTER; a_word_wrap: INTEGER) is 
			-- Parsed as:
			-- void gtk_text_set_word_wrap (
			--     GtkText *a_text,
			--     gint a_word_wrap
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_set_word_wrap   (GtkText       *text,
			-- 				     gint           word_wrap);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_set_line_wrap (a_text: POINTER; a_line_wrap: INTEGER) is 
			-- Parsed as:
			-- void gtk_text_set_line_wrap (
			--     GtkText *a_text,
			--     gint a_line_wrap
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_set_line_wrap   (GtkText       *text,
			-- 				     gint           line_wrap);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_set_adjustments (a_text: POINTER; a_hadj: POINTER; a_vadj: POINTER) is 
			-- Parsed as:
			-- void gtk_text_set_adjustments (
			--     GtkText *a_text,
			--     GtkAdjustment *a_hadj,
			--     GtkAdjustment *a_vadj
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_set_adjustments (GtkText       *text,
			-- 				     GtkAdjustment *hadj,
			-- 				     GtkAdjustment *vadj);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_set_point (a_text: POINTER; a_index: INTEGER) is 
			-- Parsed as:
			-- void gtk_text_set_point (
			--     GtkText *a_text,
			--     guint a_index
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_set_point       (GtkText       *text,
			-- 				     guint          index);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_get_point (a_text: POINTER): INTEGER is 
			-- Parsed as:
			-- guint gtk_text_get_point (
			--     GtkText *a_text
			-- );
			--
			-- Original C code from gtktext.h:
			-- guint      gtk_text_get_point       (GtkText       *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_get_length (a_text: POINTER): INTEGER is 
			-- Parsed as:
			-- guint gtk_text_get_length (
			--     GtkText *a_text
			-- );
			--
			-- Original C code from gtktext.h:
			-- guint      gtk_text_get_length      (GtkText       *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_freeze (a_text: POINTER) is 
			-- Parsed as:
			-- void gtk_text_freeze (
			--     GtkText *a_text
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_freeze          (GtkText       *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_thaw (a_text: POINTER) is 
			-- Parsed as:
			-- void gtk_text_thaw (
			--     GtkText *a_text
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_thaw            (GtkText       *text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_insert (a_text: POINTER; a_font: POINTER; a_fore: POINTER; a_back: POINTER; a_chars: POINTER; a_length: INTEGER) is 
			-- Parsed as:
			-- void gtk_text_insert (
			--     GtkText *a_text,
			--     GdkFont *a_font,
			--     GdkColor *a_fore,
			--     GdkColor *a_back,
			--     char *a_chars,
			--     gint a_length
			-- );
			--
			-- Original C code from gtktext.h:
			-- void       gtk_text_insert          (GtkText       *text,
			-- 				     GdkFont       *font,
			-- 				     GdkColor      *fore,
			-- 				     GdkColor      *back,
			-- 				     const char    *chars,
			-- 				     gint           length);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_backward_delete (a_text: POINTER; a_nchars: INTEGER): INTEGER is 
			-- Parsed as:
			-- gint gtk_text_backward_delete (
			--     GtkText *a_text,
			--     guint a_nchars
			-- );
			--
			-- Original C code from gtktext.h:
			-- gint       gtk_text_backward_delete (GtkText       *text,
			-- 				     guint          nchars);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_text_forward_delete (a_text: POINTER; a_nchars: INTEGER): INTEGER is 
			-- Parsed as:
			-- gint gtk_text_forward_delete (
			--     GtkText *a_text,
			--     guint a_nchars
			-- );
			--
			-- Original C code from gtktext.h:
			-- gint       gtk_text_forward_delete  (GtkText       *text,
			-- 				     guint          nchars);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_TEXT

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)