indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkToolbar"
	gtk_file: "gtktoolbar.h"
	status: "See notice at end of class"
	signals: "orientation_changed style_changed "
	events: ""

class
	C_GTK_TOOLBAR

feature -- External C functions

	gtk_toolbar_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_toolbar_get_type (
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkType    gtk_toolbar_get_type        (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_new (a_orientation: INTEGER; a_style: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_new (
			--     GtkOrientation a_orientation,
			--     GtkToolbarStyle a_style
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_new             (GtkOrientation   orientation,
			-- 					GtkToolbarStyle  style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_append_item (a_toolbar: POINTER; a_text: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_icon: POINTER; a_callback: POINTER; a_user_data: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_append_item (
			--     GtkToolbar *a_toolbar,
			--     char *a_text,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     GtkWidget *a_icon,
			--     GtkSignalFunc a_callback,
			--     gpointer a_user_data
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_append_item     (GtkToolbar      *toolbar,
			-- 					const char      *text,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					GtkWidget       *icon,
			-- 					GtkSignalFunc    callback,
			-- 					gpointer         user_data);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_prepend_item (a_toolbar: POINTER; a_text: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_icon: POINTER; a_callback: POINTER; a_user_data: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_prepend_item (
			--     GtkToolbar *a_toolbar,
			--     char *a_text,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     GtkWidget *a_icon,
			--     GtkSignalFunc a_callback,
			--     gpointer a_user_data
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_prepend_item    (GtkToolbar      *toolbar,
			-- 					const char      *text,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					GtkWidget       *icon,
			-- 					GtkSignalFunc    callback,
			-- 					gpointer         user_data);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_insert_item (a_toolbar: POINTER; a_text: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_icon: POINTER; a_callback: POINTER; a_user_data: POINTER; a_position: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_insert_item (
			--     GtkToolbar *a_toolbar,
			--     char *a_text,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     GtkWidget *a_icon,
			--     GtkSignalFunc a_callback,
			--     gpointer a_user_data,
			--     gint a_position
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_insert_item     (GtkToolbar      *toolbar,
			-- 					const char      *text,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					GtkWidget       *icon,
			-- 					GtkSignalFunc    callback,
			-- 					gpointer         user_data,
			-- 					gint             position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_append_space (a_toolbar: POINTER) is 
			-- Parsed as:
			-- void gtk_toolbar_append_space (
			--     GtkToolbar *a_toolbar
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_append_space    (GtkToolbar      *toolbar);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_prepend_space (a_toolbar: POINTER) is 
			-- Parsed as:
			-- void gtk_toolbar_prepend_space (
			--     GtkToolbar *a_toolbar
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_prepend_space   (GtkToolbar      *toolbar);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_insert_space (a_toolbar: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_insert_space (
			--     GtkToolbar *a_toolbar,
			--     gint a_position
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_insert_space    (GtkToolbar      *toolbar,
			-- 					gint             position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_append_element (a_toolbar: POINTER; a_type: INTEGER; a_widget: POINTER; a_text: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_icon: POINTER; a_callback: POINTER; a_user_data: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_append_element (
			--     GtkToolbar *a_toolbar,
			--     GtkToolbarChildType a_type,
			--     GtkWidget *a_widget,
			--     char *a_text,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     GtkWidget *a_icon,
			--     GtkSignalFunc a_callback,
			--     gpointer a_user_data
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_append_element  (GtkToolbar      *toolbar,
			-- 					GtkToolbarChildType type,
			-- 					GtkWidget       *widget,
			-- 					const char      *text,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					GtkWidget       *icon,
			-- 					GtkSignalFunc    callback,
			-- 					gpointer         user_data);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_prepend_element (a_toolbar: POINTER; a_type: INTEGER; a_widget: POINTER; a_text: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_icon: POINTER; a_callback: POINTER; a_user_data: POINTER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_prepend_element (
			--     GtkToolbar *a_toolbar,
			--     GtkToolbarChildType a_type,
			--     GtkWidget *a_widget,
			--     char *a_text,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     GtkWidget *a_icon,
			--     GtkSignalFunc a_callback,
			--     gpointer a_user_data
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_prepend_element (GtkToolbar      *toolbar,
			-- 					GtkToolbarChildType type,
			-- 					GtkWidget       *widget,
			-- 					const char      *text,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					GtkWidget       *icon,
			-- 					GtkSignalFunc    callback,
			-- 					gpointer         user_data);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_insert_element (a_toolbar: POINTER; a_type: INTEGER; a_widget: POINTER; a_text: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_icon: POINTER; a_callback: POINTER; a_user_data: POINTER; a_position: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_toolbar_insert_element (
			--     GtkToolbar *a_toolbar,
			--     GtkToolbarChildType a_type,
			--     GtkWidget *a_widget,
			--     char *a_text,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     GtkWidget *a_icon,
			--     GtkSignalFunc a_callback,
			--     gpointer a_user_data,
			--     gint a_position
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkWidget* gtk_toolbar_insert_element  (GtkToolbar      *toolbar,
			-- 					GtkToolbarChildType type,
			-- 					GtkWidget       *widget,
			-- 					const char      *text,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					GtkWidget       *icon,
			-- 					GtkSignalFunc    callback,
			-- 					gpointer         user_data,
			-- 					gint             position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_append_widget (a_toolbar: POINTER; a_widget: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER) is 
			-- Parsed as:
			-- void gtk_toolbar_append_widget (
			--     GtkToolbar *a_toolbar,
			--     GtkWidget *a_widget,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_append_widget   (GtkToolbar      *toolbar,
			-- 					GtkWidget       *widget,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_prepend_widget (a_toolbar: POINTER; a_widget: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER) is 
			-- Parsed as:
			-- void gtk_toolbar_prepend_widget (
			--     GtkToolbar *a_toolbar,
			--     GtkWidget *a_widget,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_prepend_widget  (GtkToolbar      *toolbar,
			-- 					GtkWidget       *widget,
			-- 					const char      *tooltip_text,
			-- 					const char	*tooltip_private_text);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_insert_widget (a_toolbar: POINTER; a_widget: POINTER; a_tooltip_text: POINTER; a_tooltip_private_text: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_insert_widget (
			--     GtkToolbar *a_toolbar,
			--     GtkWidget *a_widget,
			--     char *a_tooltip_text,
			--     char *a_tooltip_private_text,
			--     gint a_position
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_insert_widget   (GtkToolbar      *toolbar,
			-- 					GtkWidget       *widget,
			-- 					const char      *tooltip_text,
			-- 					const char      *tooltip_private_text,
			-- 					gint             position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_set_orientation (a_toolbar: POINTER; a_orientation: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_set_orientation (
			--     GtkToolbar *a_toolbar,
			--     GtkOrientation a_orientation
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_set_orientation       (GtkToolbar           *toolbar,
			-- 					      GtkOrientation        orientation);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_set_style (a_toolbar: POINTER; a_style: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_set_style (
			--     GtkToolbar *a_toolbar,
			--     GtkToolbarStyle a_style
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_set_style             (GtkToolbar           *toolbar,
			-- 					      GtkToolbarStyle       style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_set_space_size (a_toolbar: POINTER; a_space_size: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_set_space_size (
			--     GtkToolbar *a_toolbar,
			--     gint a_space_size
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_set_space_size        (GtkToolbar           *toolbar,
			-- 					      gint                  space_size);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_set_space_style (a_toolbar: POINTER; a_space_style: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_set_space_style (
			--     GtkToolbar *a_toolbar,
			--     GtkToolbarSpaceStyle a_space_style
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_set_space_style       (GtkToolbar           *toolbar,
			-- 					      GtkToolbarSpaceStyle  space_style);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_set_tooltips (a_toolbar: POINTER; a_enable: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_set_tooltips (
			--     GtkToolbar *a_toolbar,
			--     gint a_enable
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_set_tooltips          (GtkToolbar           *toolbar,
			-- 					      gint                  enable);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_set_button_relief (a_toolbar: POINTER; a_relief: INTEGER) is 
			-- Parsed as:
			-- void gtk_toolbar_set_button_relief (
			--     GtkToolbar *a_toolbar,
			--     GtkReliefStyle a_relief
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- void       gtk_toolbar_set_button_relief     (GtkToolbar           *toolbar,
			-- 					      GtkReliefStyle        relief);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_toolbar_get_button_relief (a_toolbar: POINTER): INTEGER is 
			-- Parsed as:
			-- GtkReliefStyle gtk_toolbar_get_button_relief (
			--     GtkToolbar *a_toolbar
			-- );
			--
			-- Original C code from gtktoolbar.h:
			-- GtkReliefStyle gtk_toolbar_get_button_relief (GtkToolbar           *toolbar);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_TOOLBAR

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)