indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkType"
	gtk_file: "gtktypeutils.h"
	status: "See notice at end of class"
	signals: ""
	events: ""

class
	C_GTK_TYPE

feature -- External C functions

	gtk_type_init is 
			-- Parsed as:
			-- void gtk_type_init (
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- void		gtk_type_init			(void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_unique (a_parent_type: INTEGER; a_type_info: POINTER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_type_unique (
			--     GtkType a_parent_type,
			--     GtkTypeInfo *a_type_info
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkType		gtk_type_unique			(GtkType	   parent_type,
			-- 						 const GtkTypeInfo *type_info);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_set_chunk_alloc (a_type: INTEGER; a_n_chunks: INTEGER) is 
			-- Parsed as:
			-- void gtk_type_set_chunk_alloc (
			--     GtkType a_type,
			--     guint a_n_chunks
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- void		gtk_type_set_chunk_alloc	(GtkType	 type,
			-- 						 guint		 n_chunks);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_name (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- gchar* gtk_type_name (
			--     guint a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- gchar*		gtk_type_name			(guint		 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_from_name (a_name: POINTER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_type_from_name (
			--     gchar *a_name
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkType		gtk_type_from_name		(const gchar	*name);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_parent (a_type: INTEGER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_type_parent (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkType		gtk_type_parent			(GtkType	 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_class (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- gpointer gtk_type_class (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- gpointer	gtk_type_class			(GtkType	 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_parent_class (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- gpointer gtk_type_parent_class (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- gpointer	gtk_type_parent_class		(GtkType	 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_children_types (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GList* gtk_type_children_types (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GList*		gtk_type_children_types		(GtkType	 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_new (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- gpointer gtk_type_new (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- gpointer	gtk_type_new			(GtkType	 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_free (a_type: INTEGER; a_mem: POINTER) is 
			-- Parsed as:
			-- void gtk_type_free (
			--     GtkType a_type,
			--     gpointer a_mem
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- void		gtk_type_free			(GtkType	 type,
			-- 						 gpointer	 mem);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_describe_heritage (a_type: INTEGER) is 
			-- Parsed as:
			-- void gtk_type_describe_heritage (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- void		gtk_type_describe_heritage	(GtkType	 type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_describe_tree (a_type: INTEGER; a_show_size: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_type_describe_tree (
			--     GtkType a_type,
			--     gboolean a_show_size
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- void		gtk_type_describe_tree		(GtkType	 type,
			-- 						 gboolean	 show_size);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_is_a (a_type: INTEGER; a_is_a_type: INTEGER): BOOLEAN is 
			-- Parsed as:
			-- gboolean gtk_type_is_a (
			--     GtkType a_type,
			--     GtkType a_is_a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- gboolean	gtk_type_is_a			(GtkType	 type,
			-- 						 GtkType	 is_a_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_check_object_cast (a_type_object: POINTER; a_cast_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkTypeObject* gtk_type_check_object_cast (
			--     GtkTypeObject *a_type_object,
			--     GtkType a_cast_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkTypeObject*	gtk_type_check_object_cast	(GtkTypeObject	*type_object,
			-- 						 GtkType         cast_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_check_class_cast (a_klass: POINTER; a_cast_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkTypeClass* gtk_type_check_class_cast (
			--     GtkTypeClass *a_klass,
			--     GtkType a_cast_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkTypeClass*	gtk_type_check_class_cast	(GtkTypeClass	*klass,
			-- 						 GtkType         cast_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_register_enum (a_type_name: POINTER; a_values: POINTER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_type_register_enum (
			--     gchar *a_type_name,
			--     GtkEnumValue *a_values
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkType		gtk_type_register_enum		(const gchar	*type_name,
			-- 						 GtkEnumValue	*values);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_register_flags (a_type_name: POINTER; a_values: POINTER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_type_register_flags (
			--     gchar *a_type_name,
			--     GtkFlagValue *a_values
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkType		gtk_type_register_flags		(const gchar	*type_name,
			-- 						 GtkFlagValue	*values);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_enum_get_values (a_enum_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkEnumValue* gtk_type_enum_get_values (
			--     GtkType a_enum_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkEnumValue*	gtk_type_enum_get_values	(GtkType	 enum_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_flags_get_values (a_flags_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkFlagValue* gtk_type_flags_get_values (
			--     GtkType a_flags_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkFlagValue*	gtk_type_flags_get_values	(GtkType	 flags_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_enum_find_value (a_enum_type: INTEGER; a_value_name: POINTER): POINTER is 
			-- Parsed as:
			-- GtkEnumValue* gtk_type_enum_find_value (
			--     GtkType a_enum_type,
			--     gchar *a_value_name
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkEnumValue*	gtk_type_enum_find_value	(GtkType	 enum_type,
			-- 						 const gchar	*value_name);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_flags_find_value (a_flag_type: INTEGER; a_value_name: POINTER): POINTER is 
			-- Parsed as:
			-- GtkFlagValue* gtk_type_flags_find_value (
			--     GtkType a_flag_type,
			--     gchar *a_value_name
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkFlagValue*	gtk_type_flags_find_value	(GtkType	 flag_type,
			-- 						 const gchar	*value_name);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_set_varargs_type (a_foreign_type: INTEGER; a_varargs_type: INTEGER) is 
			-- Parsed as:
			-- void gtk_type_set_varargs_type (
			--     GtkType a_foreign_type,
			--     GtkType a_varargs_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- void		gtk_type_set_varargs_type	(GtkType	foreign_type,
			-- 						 GtkType	varargs_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_get_varargs_type (a_foreign_type: INTEGER): INTEGER is 
			-- Parsed as:
			-- GtkType gtk_type_get_varargs_type (
			--     GtkType a_foreign_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkType		gtk_type_get_varargs_type	(GtkType	foreign_type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_type_query (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkTypeQuery* gtk_type_query (
			--     GtkType a_type
			-- );
			--
			-- Original C code from gtktypeutils.h:
			-- GtkTypeQuery*	gtk_type_query			(GtkType	type);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_TYPE

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)