indexing
	description: "External C calls to the GTK library."
	gtk_klass: "GtkWindow"
	gtk_file: "gtkwindow.h"
	status: "See notice at end of class"
	signals: "set_focus "
	events: ""

class
	C_GTK_WINDOW

feature -- External C functions

	gtk_window_get_type: INTEGER is 
			-- Parsed as:
			-- GtkType gtk_window_get_type (
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- GtkType    gtk_window_get_type                 (void);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_new (a_type: INTEGER): POINTER is 
			-- Parsed as:
			-- GtkWidget* gtk_window_new (
			--     GtkWindowType a_type
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- GtkWidget* gtk_window_new                      (GtkWindowType        type);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_title (a_window: POINTER; a_title: POINTER) is 
			-- Parsed as:
			-- void gtk_window_set_title (
			--     GtkWindow *a_window,
			--     gchar *a_title
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_title                (GtkWindow           *window,
			-- 						const gchar         *title);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_wmclass (a_window: POINTER; a_wmclass_name: POINTER; a_wmclass_class: POINTER) is 
			-- Parsed as:
			-- void gtk_window_set_wmclass (
			--     GtkWindow *a_window,
			--     gchar *a_wmclass_name,
			--     gchar *a_wmclass_class
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_wmclass              (GtkWindow           *window,
			-- 						const gchar         *wmclass_name,
			-- 						const gchar         *wmclass_class);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_policy (a_window: POINTER; a_allow_shrink: INTEGER; a_allow_grow: INTEGER; a_auto_shrink: INTEGER) is 
			-- Parsed as:
			-- void gtk_window_set_policy (
			--     GtkWindow *a_window,
			--     gint a_allow_shrink,
			--     gint a_allow_grow,
			--     gint a_auto_shrink
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_policy               (GtkWindow           *window,
			-- 						gint                 allow_shrink,
			-- 						gint                 allow_grow,
			-- 						gint                 auto_shrink);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_add_accel_group (a_window: POINTER; a_accel_group: POINTER) is 
			-- Parsed as:
			-- void gtk_window_add_accel_group (
			--     GtkWindow *a_window,
			--     GtkAccelGroup *a_accel_group
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_add_accel_group          (GtkWindow           *window,
			-- 						GtkAccelGroup	    *accel_group);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_remove_accel_group (a_window: POINTER; a_accel_group: POINTER) is 
			-- Parsed as:
			-- void gtk_window_remove_accel_group (
			--     GtkWindow *a_window,
			--     GtkAccelGroup *a_accel_group
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_remove_accel_group       (GtkWindow           *window,
			-- 						GtkAccelGroup	    *accel_group);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_position (a_window: POINTER; a_position: INTEGER) is 
			-- Parsed as:
			-- void gtk_window_set_position (
			--     GtkWindow *a_window,
			--     GtkWindowPosition a_position
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_position             (GtkWindow           *window,
			-- 						GtkWindowPosition    position);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_activate_focus (a_window: POINTER): INTEGER is 
			-- Parsed as:
			-- gint gtk_window_activate_focus (
			--     GtkWindow *a_window
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- gint	   gtk_window_activate_focus	       (GtkWindow           *window);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_activate_default (a_window: POINTER): INTEGER is 
			-- Parsed as:
			-- gint gtk_window_activate_default (
			--     GtkWindow *a_window
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- gint	   gtk_window_activate_default	       (GtkWindow           *window);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_transient_for (a_window: POINTER; a_parent: POINTER) is 
			-- Parsed as:
			-- void gtk_window_set_transient_for (
			--     GtkWindow *a_window,
			--     GtkWindow *a_parent
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_transient_for        (GtkWindow           *window, 
			-- 						GtkWindow           *parent);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_geometry_hints (a_window: POINTER; a_geometry_widget: POINTER; a_geometry: POINTER; a_geom_mask: INTEGER) is 
			-- Parsed as:
			-- void gtk_window_set_geometry_hints (
			--     GtkWindow *a_window,
			--     GtkWidget *a_geometry_widget,
			--     GdkGeometry *a_geometry,
			--     GdkWindowHints a_geom_mask
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_geometry_hints       (GtkWindow           *window,
			-- 						GtkWidget           *geometry_widget,
			-- 						GdkGeometry         *geometry,
			-- 						GdkWindowHints       geom_mask);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_default_size (a_window: POINTER; a_width: INTEGER; a_height: INTEGER) is 
			-- Parsed as:
			-- void gtk_window_set_default_size (
			--     GtkWindow *a_window,
			--     gint a_width,
			--     gint a_height
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_default_size         (GtkWindow           *window,
			-- 						gint                 width,
			-- 						gint                 height);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_modal (a_window: POINTER; a_modal: BOOLEAN) is 
			-- Parsed as:
			-- void gtk_window_set_modal (
			--     GtkWindow *a_window,
			--     gboolean a_modal
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_modal                (GtkWindow           *window,
			--                                                 gboolean             modal);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_focus (a_window: POINTER; a_focus: POINTER) is 
			-- Parsed as:
			-- void gtk_window_set_focus (
			--     GtkWindow *a_window,
			--     GtkWidget *a_focus
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_focus                (GtkWindow           *window,
			-- 						GtkWidget           *focus);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_set_default (a_window: POINTER; a_defaultw: POINTER) is 
			-- Parsed as:
			-- void gtk_window_set_default (
			--     GtkWindow *a_window,
			--     GtkWidget *a_defaultw
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_set_default              (GtkWindow           *window,
			-- 						GtkWidget           *defaultw);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_remove_embedded_xid (a_window: POINTER; a_xid: INTEGER) is 
			-- Parsed as:
			-- void gtk_window_remove_embedded_xid (
			--     GtkWindow *a_window,
			--     guint a_xid
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_remove_embedded_xid      (GtkWindow           *window,
			-- 				                guint                xid);
		external
			" C | <gtk/gtk.h>"
		end

	gtk_window_add_embedded_xid (a_window: POINTER; a_xid: INTEGER) is 
			-- Parsed as:
			-- void gtk_window_add_embedded_xid (
			--     GtkWindow *a_window,
			--     guint a_xid
			-- );
			--
			-- Original C code from gtkwindow.h:
			-- void       gtk_window_add_embedded_xid         (GtkWindow           *window,
			-- 						guint                xid);
		external
			" C | <gtk/gtk.h>"
		end

end -- class C_GTK_WINDOW

--! This file was generated by the GOTE converter.
--! It is derived from the headers of GTK.
--! It is licenced under LGPL. (see www.gnu.org)