indexing
	description: "Wrapper for char* tmpnam(char*) <stdio.h>"
	status: "See notice at end of file"
	author: "Sam O'Connor"
	date: "$Date: 1999/10/31 10:36:47 $"
	revision: "$Revision: 1.1.1.1 $"

class
	TMP_FILE_NAMER

feature -- Access

	tmp_file_name: STRING is
			-- a unique temporary file name
		do
			create Result.make (0)
			Result.from_c (tmpnam (Default_pointer))
			Result.append ("_gote")
		end

feature {NONE} -- Implementation

	tmpnam (s: POINTER): POINTER is
		external
			"C | <stdio.h>"
		end

end -- class TMP_FILE_NAMER


--!-----------------------------------------------------------------------------
--! The GOTE converter. It converts GTK+ Objects To Eiffel.
--! Copyright (C) 1999 Sam O'Connor
--!
--! This program is free software; you can redistribute it and/or modify
--! it under the terms of the GNU General Public License as published by
--! the Free Software Foundation; either version 2 of the License, or
--! (at your option) any later version.
--!
--! This program is distributed in the hope that it will be useful,
--! but WITHOUT ANY WARRANTY; without even the implied warranty of
--! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--! GNU General Public License for more details.
--!
--! You should have received a copy of the GNU General Public License
--! along with this program; if not, write to the Free Software
--! Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--!
--! See file "licence" for more information.
--!-----------------------------------------------------------------------------
